Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(19)

Issue 2731403008: Add headless chrome as an accepted browser string in chromedriver. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 months, 2 weeks ago by irisu
Modified:
6 months, 1 week ago
Reviewers:
samuong
CC:
chromium-reviews, samuong+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Add headless chrome as an accepted browser string in chromedriver. This is working towards selenium support for headless see https://bugs.chromium.org/p/chromium/issues/detail?id=604324 BUG=699382, 604324 Review-Url: https://codereview.chromium.org/2731403008 Cr-Commit-Position: refs/heads/master@{#456660} Committed: https://chromium.googlesource.com/chromium/src/+/c75dbfd25cc376b92a494d340259056a01e1432e

Patch Set 1 #

Total comments: 2

Patch Set 2 : Merge chrome and headless chrome cases #

Patch Set 3 : Fix tests #

Messages

Total messages: 18 (9 generated)
irisu
6 months, 2 weeks ago (2017-03-08 05:11:22 UTC) #4
samuong
https://codereview.chromium.org/2731403008/diff/1/chrome/test/chromedriver/chrome/browser_info.cc File chrome/test/chromedriver/chrome/browser_info.cc (right): https://codereview.chromium.org/2731403008/diff/1/chrome/test/chromedriver/chrome/browser_info.cc#newcode93 chrome/test/chromedriver/chrome/browser_info.cc:93: if (base::StartsWith(browser_string, kVersionPrefix, Can we merge these two if ...
6 months, 2 weeks ago (2017-03-08 21:24:15 UTC) #5
irisu
https://codereview.chromium.org/2731403008/diff/1/chrome/test/chromedriver/chrome/browser_info.cc File chrome/test/chromedriver/chrome/browser_info.cc (right): https://codereview.chromium.org/2731403008/diff/1/chrome/test/chromedriver/chrome/browser_info.cc#newcode93 chrome/test/chromedriver/chrome/browser_info.cc:93: if (base::StartsWith(browser_string, kVersionPrefix, On 2017/03/08 21:24:15, samuong wrote: > ...
6 months, 2 weeks ago (2017-03-08 23:49:34 UTC) #6
samuong
lgtm
6 months, 2 weeks ago (2017-03-10 00:07:13 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2731403008/10002
6 months, 2 weeks ago (2017-03-10 00:33:50 UTC) #9
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_tsan_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_tsan_rel_ng/builds/29980)
6 months, 2 weeks ago (2017-03-10 00:45:40 UTC) #11
irisu
Fixed tests and added a headless test. PTAL.
6 months, 2 weeks ago (2017-03-10 01:41:31 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2731403008/30001
6 months, 1 week ago (2017-03-14 09:21:46 UTC) #15
commit-bot: I haz the power
6 months, 1 week ago (2017-03-14 09:35:27 UTC) #18
Message was sent while issue was closed.
Committed patchset #3 (id:30001) as
https://chromium.googlesource.com/chromium/src/+/c75dbfd25cc376b92a494d340259...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b